body{
  padding: 10px;
  margin:0;
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  font-family: arial;
  background-color: rgba(52, 152, 250, 0.1);
}

#auth{
    width:240px; /*Ширина блока*/
    height:220px; /*Высота блока*/
    margin:0 auto;
    overflow:visible;
    position:absolute;
    left:50%;
    top:50%;
    margin-left:-120px; /*Смещаем блок на половину всей ширины влево*/
    margin-top:-110px; /*Смещаем блок на половину высоты вверх*/
    /*background:#fafaff;*/
}


#auth input[type="submit"]{
  /*border: 2px solid rgba(220,220,220,1);*/
  border: 2px solid #2a80b8;
  /*color: rgba(90,90,90, 0.8);*/
  color: black;
  font-size: 20px;
  box-shadow: 1px 1px 3px 1px rgba(200,200,200, 0.5) inset;
  background-color: rgba(52, 152, 219, 0.3);
  padding: 0.2em;
   width: 97%;
  outline: none;
  margin: 0;
  -webkit-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
  -moz-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
  -o-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
  transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
  /*width: 13em;*/
}



#auth input[type="submit"]:hover{
	color: #2980b9;
	border: 2px solid rgba(52, 180, 255, 1);
	box-shadow: 1px 1px 3px 1px rgba(52, 152, 219, 0.2) inset;
	-webkit-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
	-moz-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
	-o-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
	transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
}




#auth input[type="text"],input[type="password"]{
  /*border: 2px solid rgba(220,220,220,1);*/
  border: 2px solid #2a80b8;
  color: #2980b9;
  box-shadow: 1px 1px 3px 1px rgba(200,200,200, 0.2) inset;
  /*background-color: rgba(52, 152, 250, 0.1);*/
  padding: 0.2em;
  width: 220px;
  outline: none;
  margin: 0;
  font-size: 20px;
  -webkit-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
-moz-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
-o-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
}

#auth input:hover{
  /*border: 2px solid rgba(52, 152, 219, 1);*/
  border: 2px solid rgba(52, 180, 255, 1);
  box-shadow: 1px 1px 3px 1px rgba(52, 152, 219, 0.2) inset;
  -webkit-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
-moz-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
-o-transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
transition: all 200ms cubic-bezier(0.42, 0, 0.58, 1);
}

span.log, span.pass{
  color: #2980b9;
  }

#auth input:hover span.log{
  color: #2980b9;
  }

#auth input:focus{
  border: 2px solid rgba(52, 152, 219, 1);
  box-shadow: 0px 0px 0px 0px rgba(52, 152, 219, 1);
  -webkit-transition: all 100ms cubic-bezier(0.42, 0, 0.58, 1);
-moz-transition: all 100ms cubic-bezier(0.42, 0, 0.58, 1);
-o-transition: all 100ms cubic-bezier(0.42, 0, 0.58, 1);
transition: all 100ms cubic-bezier(0.42, 0, 0.58, 1);
}

